Loading...
Searching...
No Matches
N_data_star Struct Reference

Matrix entries for a mass balance 5/7/9 star system. More...

`#include <N_pde.h>`

## Data Fields

int | type
int | count
double | C
double | W
double | E
double | N
double | S
double | NE
double | NW
double | SE
double | SW
double | V
double | T
double | W_T
double | E_T
double | N_T
double | S_T
double | NE_T
double | NW_T
double | SE_T
double | SW_T
double | B
double | W_B
double | E_B
double | N_B
double | S_B
double | NE_B
double | NW_B
double | SE_B
double | SW_B

## Detailed Description

Matrix entries for a mass balance 5/7/9 star system.

Matrix entries for the mass balance of a 5 star system

The entries are center, east, west, north, south and the right side vector b of Ax = b. This system is typically used in 2d.

    N
    |
    W-- C --E
    |
    S

Matrix entries for the mass balance of a 7 star system

The entries are center, east, west, north, south, top, bottom and the right side vector b of Ax = b. This system is typically used in 3d.

    T N
    |/
    W-- C --E
    /|
    S B

Matrix entries for the mass balance of a 9 star system

The entries are center, east, west, north, south, north-east, south-east, north-wast, south-west and the right side vector b of Ax = b. This system is typically used in 2d.

    NW  N  NE
    \ | /
    W-- C --E
    / | \
    SW  S  SE

Matrix entries for the mass balance of a 27 star system

The entries are center, east, west, north, south, north-east, south-east, north-wast, south-west, same for top and bottom and the right side vector b of Ax = b. This system is typically used in 2d.

    top:
    NW_T N_Z NE_T
    \ | /
    W_T-- T --E_T
    / | \
    SW_T S_T SE_T

    center:
    NW  N  NE
    \ | /
    W-- C --E
    / | \
    SW  S  SE

    bottom:
    NW_B N_B NE_B
    \ | /
    W_B-- B --E_B
    / | \
    SW_B S_B SE_B

Definition at line 295 of file N_pde.h.

## Field Documentation

## B

double N_data_star::B

Definition at line 302 of file N_pde.h.

Referenced by N_assemble_les_3d_param(), N_callback_template_3d(), N_create_27star(), N_create_7star(), and N_gwflow_3d_calc_water_budget().

## C

double N_data_star::C

Definition at line 298 of file N_pde.h.

Referenced by N_assemble_les_2d_param(), N_assemble_les_3d_param(), N_callback_template_2d(), N_callback_template_3d(), N_create_27star(), N_create_5star(), N_create_7star(), and N_create_9star().

## count

int N_data_star::count

Definition at line 297 of file N_pde.h.

Referenced by N_alloc_27star(), N_alloc_5star(), N_alloc_7star(), N_alloc_9star(), N_assemble_les_2d_param(), and N_assemble_les_3d_param().

## E

double N_data_star::E

Definition at line 298 of file N_pde.h.

Referenced by N_assemble_les_2d_param(), N_assemble_les_3d_param(), N_callback_template_2d(), N_callback_template_3d(), N_create_27star(), N_create_5star(), N_create_7star(), N_create_9star(), N_gwflow_2d_calc_water_budget(), and N_gwflow_3d_calc_water_budget().

## E_B

double N_data_star::E_B

Definition at line 302 of file N_pde.h.

Referenced by N_create_27star().

## E_T

double N_data_star::E_T

Definition at line 300 of file N_pde.h.

Referenced by N_create_27star().

## N

double N_data_star::N

Definition at line 298 of file N_pde.h.

Referenced by N_assemble_les_2d_param(), N_assemble_les_3d_param(), N_callback_template_2d(), N_callback_template_3d(), N_create_27star(), N_create_5star(), N_create_7star(), N_create_9star(), N_gwflow_2d_calc_water_budget(), and N_gwflow_3d_calc_water_budget().

## N_B

double N_data_star::N_B

Definition at line 302 of file N_pde.h.

Referenced by N_create_27star().

## N_T

double N_data_star::N_T

Definition at line 300 of file N_pde.h.

Referenced by N_create_27star().

## NE

double N_data_star::NE

Definition at line 298 of file N_pde.h.

Referenced by N_assemble_les_2d_param(), N_callback_template_2d(), N_create_27star(), and N_create_9star().

## NE_B

double N_data_star::NE_B

Definition at line 302 of file N_pde.h.

Referenced by N_create_27star().

## NE_T

double N_data_star::NE_T

Definition at line 300 of file N_pde.h.

Referenced by N_create_27star().

## NW

double N_data_star::NW

Definition at line 298 of file N_pde.h.

Referenced by N_assemble_les_2d_param(), N_callback_template_2d(), N_create_27star(), and N_create_9star().

## NW_B

double N_data_star::NW_B

Definition at line 302 of file N_pde.h.

Referenced by N_create_27star().

## NW_T

double N_data_star::NW_T

Definition at line 300 of file N_pde.h.

Referenced by N_create_27star().

## S

double N_data_star::S

Definition at line 298 of file N_pde.h.

Referenced by N_assemble_les_2d_param(), N_assemble_les_3d_param(), N_callback_template_2d(), N_callback_template_3d(), N_create_27star(), N_create_5star(), N_create_7star(), N_create_9star(), N_gwflow_2d_calc_water_budget(), and N_gwflow_3d_calc_water_budget().

## S_B

double N_data_star::S_B

Definition at line 302 of file N_pde.h.

Referenced by N_create_27star().

## S_T

double N_data_star::S_T

Definition at line 300 of file N_pde.h.

Referenced by N_create_27star().

## SE

double N_data_star::SE

Definition at line 298 of file N_pde.h.

Referenced by N_assemble_les_2d_param(), N_callback_template_2d(), N_create_27star(), and N_create_9star().

## SE_B

double N_data_star::SE_B

Definition at line 302 of file N_pde.h.

Referenced by N_create_27star().

## SE_T

double N_data_star::SE_T

Definition at line 300 of file N_pde.h.

Referenced by N_create_27star().

## SW

double N_data_star::SW

Definition at line 298 of file N_pde.h.

Referenced by N_assemble_les_2d_param(), N_callback_template_2d(), N_create_27star(), and N_create_9star().

## SW_B

double N_data_star::SW_B

Definition at line 302 of file N_pde.h.

Referenced by N_create_27star().

## SW_T

double N_data_star::SW_T

Definition at line 300 of file N_pde.h.

Referenced by N_create_27star().

## T

double N_data_star::T

Definition at line 300 of file N_pde.h.

Referenced by N_assemble_les_3d_param(), N_callback_template_3d(), N_create_27star(), N_create_7star(), and N_gwflow_3d_calc_water_budget().

## type

int N_data_star::type

Definition at line 296 of file N_pde.h.

Referenced by N_alloc_27star(), N_alloc_5star(), N_alloc_7star(), N_alloc_9star(), N_assemble_les_2d_param(), and N_assemble_les_3d_param().

## V

double N_data_star::V

Definition at line 298 of file N_pde.h.

Referenced by N_assemble_les_2d_param(), N_assemble_les_3d_param(), N_callback_template_2d(), N_callback_template_3d(), N_create_27star(), N_create_5star(), N_create_7star(), and N_create_9star().

## W

double N_data_star::W

Definition at line 298 of file N_pde.h.

Referenced by N_assemble_les_2d_param(), N_assemble_les_3d_param(), N_callback_template_2d(), N_callback_template_3d(), N_create_27star(), N_create_5star(), N_create_7star(), N_create_9star(), N_gwflow_2d_calc_water_budget(), and N_gwflow_3d_calc_water_budget().

## W_B

double N_data_star::W_B

Definition at line 302 of file N_pde.h.

Referenced by N_create_27star().

## W_T

double N_data_star::W_T

Definition at line 300 of file N_pde.h.

Referenced by N_create_27star().

The documentation for this struct was generated from the following file:

- N_pde.h